Bug 1417400 - [Tracking RFE] support ScaleIO integration into JS (non-converge)
Summary: [Tracking RFE] support ScaleIO integration into JS (non-converge)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 14.0 (Rocky)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On: 1385266
Blocks: 1419948 1458798 1417401
TreeView+ depends on / blocked
 
Reported: 2017-01-28 18:01 UTC by arkady kanevsky
Modified: 2018-05-18 20:05 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1417401 (view as bug list)
Environment:
Last Closed: 2018-05-18 20:05:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description arkady kanevsky 2017-01-28 18:01:06 UTC
Description of problem:
Currently Dell EMC ScaleIO is certified for OSP. But it is not integrated into JS.
a. Create another flavor for a storage node for ScaleIO.
b. Create template for configuration of scaleio flavor node, similar to Ceph node.
c. Add to TripleO support to discover nodes, assign role, and configure for SIO.
d. Add to tripleO deployment of SIO for JS (need to agree on provenance of the bit or make it part of JS deployment)
e. Add configuration of scaleio for cinder as another option (in progress)
f. expose all cinder options for cinder in tripleO UI.
g. Add scaleio client bits into compute node configuration (again line up how and where that will come from)
h. Add support of scaleio for update
i. Add support of Scaleio for upgrade
j. Validate that Instance HA works correctly with scaleio configuration.
k. Add option for configuration of glance to use cinder (with scaleio behind it)
l. Add ScaleIO to FV stamps for testing and certification. 

This is a very tentative plan, just to give a scope and goals.
Expect that we will start the work in Ocata.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Red Hat Bugzilla Rules Engine 2017-03-01 14:27:07 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.


Note You need to log in before you can comment on or make changes to this bug.